Name: xsane
Summary: An X Window System front-end for the SANE scanner interface.
Version: 0.47
Release: 2
Source: %{name}-%{version}.tar.gz
License: GPL
URL: http://www.wolfsburg.de/~rauch/sane/sane-xsane.html
Group: Applications/Multimedia
Buildroot: /var/tmp/%{name}-buildroot
Requires: sane gtk+

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices.  XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
./configure \
	--prefix=/usr \
	--with-sysconfdir=/etc \
	--with-install-root=$RPM_BUILD_ROOT
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc

gzip $RPM_BUILD_ROOT/usr/man/man1/* ||:
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc xsane.AUTHOR xsane.CHANGES xsane.COPYING xsane.IMAGE xsane.NEWS
%doc xsane.TODO
/usr/bin/*
/usr/man/man1/*
/usr/share/sane/*

%post
if [ -d /usr/lib/gimp/1.0 ]; then
  if [ ! -s /usr/lib/gimp/1.0/plug-ins/xsane ]; then
    ln -s ../../../../bin/xsane /usr/lib/gimp/1.0/plug-ins/xsane
  fi
fi

%postun
if [ $1 = 0 ]; then
  rm -f /usr/lib/gimp/1.0/plug-ins/xsane
fi

%changelog
* Sat Jan 29 2000 TIm Powers <timp@redhat.com>
- fixed bug 8948

* Thu Dec 2 1999 Tim Powers <timp@redhat.com>
- updated to 0.47
- gzip man pages

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- update to 0.30
- added %defattr
- built for 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0






